package com.caimei.entity;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 用户实体类
 */
public class User implements Serializable {
    private static final long serialVersionUID = 1L;
    /**
     * 主键 userID
     */
    private Integer userID; //
    private String account;//账号名： 企业账号登录使用
    private String mobile; //
    private Integer userPermission;//用户权限 0游客 1 普通用户 2 机构 3 供应商 4 协销
    private String bindMobile; //企业绑定手机号
    private String email; //
    private String userName; //作为展示名称使用 、 信息修改时同步
    private String image; //
    private String password; //
    private Integer userLevelID; //
    private String name; //组织名
    private String nick;//微信昵称
    private String sex; //
    private Integer registerUserTypeID; //用户类型
    private Integer manufacturerStatus; //供应商状态
    private Integer shopID; //
    private String manufacturerFlag; //已废弃 是否供应商
    private String serviceProviderFlag; //已废弃 是否协销
    private String clubFlag; //已废弃 是否机构
    private String masterFlag; //已废弃 是否达人
    private String normalFlag; //已废弃 是否普通用户
    private String auditStatus; //审核状态（普通用户-->员工时使用）  0 待审 1 审核通过 2 审核不通过
    private String auditTime; //
    private String auditNote; //审核备注
    private String registerTime; //
    private String registerIP; //
    private String loginTime; //
    private Integer loginFailTime;//登录失败次数
    private String loginIP; //
    private String validFlag; //1正常 0 冻结
    private String emailCheckFlag; //
    private String mobileCheckFlag; //
    private Integer clubStatus; //
    private Integer clubID; //
    private String agreeFlag; //同意协议
    private String activationCode; //
    private String activationDate; //
    private Integer serviceProviderStatus; //创客状态
    private Integer serviceProviderID; // 如果是机构登录,此处存放机构对应的创客ID
    private Integer masterStatus; //已废弃
    private Integer masterID; //已废弃
    private BigDecimal userMoney; //
    private BigDecimal  ableUserMoney;
    private Integer point; //
    private String shopERPFlag; //
    private Integer fromUserID; //
    private String fromUserName; //
    private String logoffTime; //
    private String appKey; //
    private String appSecret; //
    private String sampleFlag; //
    private Integer scanFlag; //
    private Integer sysroleid; //
    private String gender; //
    private Integer age; //
    private String salerbuyer; //
    private String position; //
    private String skill; //
    private Float workage; //
    private String wechat; //
    private String qq; //
    private String smsFlag; // 短信是否发送成功
    private Integer userBeans; // 采美豆豆值
    private Integer privateShopFlag; // 平台商标志位 0非平台商 1平台商
    private Integer privateClubFlag; // 平台机构标志位 0非平台机构 1平台机构
    private Integer guideFlag = 0;// 是否已经弹出引导页面过,默认没有
    private String miniProgramOpenId; //小程序 openID
    private String miniProgramId; //小程序用户Id eg: x0001目的是用来记录小程序的用户数量

    public Integer getUserID() {
        return userID;
    }

    public void setUserID(Integer userID) {
        this.userID = userID;
    }

    public String getAccount() {
        return account;
    }

    public void setAccount(String account) {
        this.account = account;
    }

    public String getMobile() {
        return mobile;
    }

    public void setMobile(String mobile) {
        this.mobile = mobile;
    }

    public Integer getUserPermission() {
        return userPermission;
    }

    public void setUserPermission(Integer userPermission) {
        this.userPermission = userPermission;
    }

    public String getBindMobile() {
        return bindMobile;
    }

    public void setBindMobile(String bindMobile) {
        this.bindMobile = bindMobile;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Integer getUserLevelID() {
        return userLevelID;
    }

    public void setUserLevelID(Integer userLevelID) {
        this.userLevelID = userLevelID;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getNick() {
        return nick;
    }

    public void setNick(String nick) {
        this.nick = nick;
    }

    public String getSex() {
        return sex;
    }

    public void setSex(String sex) {
        this.sex = sex;
    }

    public Integer getRegisterUserTypeID() {
        return registerUserTypeID;
    }

    public void setRegisterUserTypeID(Integer registerUserTypeID) {
        this.registerUserTypeID = registerUserTypeID;
    }

    public Integer getManufacturerStatus() {
        return manufacturerStatus;
    }

    public void setManufacturerStatus(Integer manufacturerStatus) {
        this.manufacturerStatus = manufacturerStatus;
    }

    public Integer getShopID() {
        return shopID;
    }

    public void setShopID(Integer shopID) {
        this.shopID = shopID;
    }

    public String getManufacturerFlag() {
        return manufacturerFlag;
    }

    public void setManufacturerFlag(String manufacturerFlag) {
        this.manufacturerFlag = manufacturerFlag;
    }

    public String getServiceProviderFlag() {
        return serviceProviderFlag;
    }

    public void setServiceProviderFlag(String serviceProviderFlag) {
        this.serviceProviderFlag = serviceProviderFlag;
    }

    public String getClubFlag() {
        return clubFlag;
    }

    public void setClubFlag(String clubFlag) {
        this.clubFlag = clubFlag;
    }

    public String getMasterFlag() {
        return masterFlag;
    }

    public void setMasterFlag(String masterFlag) {
        this.masterFlag = masterFlag;
    }

    public String getNormalFlag() {
        return normalFlag;
    }

    public void setNormalFlag(String normalFlag) {
        this.normalFlag = normalFlag;
    }

    public String getAuditStatus() {
        return auditStatus;
    }

    public void setAuditStatus(String auditStatus) {
        this.auditStatus = auditStatus;
    }

    public String getAuditTime() {
        return auditTime;
    }

    public void setAuditTime(String auditTime) {
        this.auditTime = auditTime;
    }

    public String getAuditNote() {
        return auditNote;
    }

    public void setAuditNote(String auditNote) {
        this.auditNote = auditNote;
    }

    public String getRegisterTime() {
        return registerTime;
    }

    public void setRegisterTime(String registerTime) {
        this.registerTime = registerTime;
    }

    public String getRegisterIP() {
        return registerIP;
    }

    public void setRegisterIP(String registerIP) {
        this.registerIP = registerIP;
    }

    public String getLoginTime() {
        return loginTime;
    }

    public void setLoginTime(String loginTime) {
        this.loginTime = loginTime;
    }

    public Integer getLoginFailTime() {
        return loginFailTime;
    }

    public void setLoginFailTime(Integer loginFailTime) {
        this.loginFailTime = loginFailTime;
    }

    public String getLoginIP() {
        return loginIP;
    }

    public void setLoginIP(String loginIP) {
        this.loginIP = loginIP;
    }

    public String getValidFlag() {
        return validFlag;
    }

    public void setValidFlag(String validFlag) {
        this.validFlag = validFlag;
    }

    public String getEmailCheckFlag() {
        return emailCheckFlag;
    }

    public void setEmailCheckFlag(String emailCheckFlag) {
        this.emailCheckFlag = emailCheckFlag;
    }

    public String getMobileCheckFlag() {
        return mobileCheckFlag;
    }

    public void setMobileCheckFlag(String mobileCheckFlag) {
        this.mobileCheckFlag = mobileCheckFlag;
    }

    public Integer getClubStatus() {
        return clubStatus;
    }

    public void setClubStatus(Integer clubStatus) {
        this.clubStatus = clubStatus;
    }

    public Integer getClubID() {
        return clubID;
    }

    public void setClubID(Integer clubID) {
        this.clubID = clubID;
    }

    public String getAgreeFlag() {
        return agreeFlag;
    }

    public void setAgreeFlag(String agreeFlag) {
        this.agreeFlag = agreeFlag;
    }

    public String getActivationCode() {
        return activationCode;
    }

    public void setActivationCode(String activationCode) {
        this.activationCode = activationCode;
    }

    public String getActivationDate() {
        return activationDate;
    }

    public void setActivationDate(String activationDate) {
        this.activationDate = activationDate;
    }

    public Integer getServiceProviderStatus() {
        return serviceProviderStatus;
    }

    public void setServiceProviderStatus(Integer serviceProviderStatus) {
        this.serviceProviderStatus = serviceProviderStatus;
    }

    public Integer getServiceProviderID() {
        return serviceProviderID;
    }

    public void setServiceProviderID(Integer serviceProviderID) {
        this.serviceProviderID = serviceProviderID;
    }

    public Integer getMasterStatus() {
        return masterStatus;
    }

    public void setMasterStatus(Integer masterStatus) {
        this.masterStatus = masterStatus;
    }

    public Integer getMasterID() {
        return masterID;
    }

    public void setMasterID(Integer masterID) {
        this.masterID = masterID;
    }

    public BigDecimal getUserMoney() {
        return userMoney;
    }

    public void setUserMoney(BigDecimal userMoney) {
        this.userMoney = userMoney;
    }

    public BigDecimal getAbleUserMoney() {
        return ableUserMoney;
    }

    public void setAbleUserMoney(BigDecimal ableUserMoney) {
        this.ableUserMoney = ableUserMoney;
    }

    public Integer getPoint() {
        return point;
    }

    public void setPoint(Integer point) {
        this.point = point;
    }

    public String getShopERPFlag() {
        return shopERPFlag;
    }

    public void setShopERPFlag(String shopERPFlag) {
        this.shopERPFlag = shopERPFlag;
    }

    public Integer getFromUserID() {
        return fromUserID;
    }

    public void setFromUserID(Integer fromUserID) {
        this.fromUserID = fromUserID;
    }

    public String getFromUserName() {
        return fromUserName;
    }

    public void setFromUserName(String fromUserName) {
        this.fromUserName = fromUserName;
    }

    public String getLogoffTime() {
        return logoffTime;
    }

    public void setLogoffTime(String logoffTime) {
        this.logoffTime = logoffTime;
    }

    public String getAppKey() {
        return appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public String getAppSecret() {
        return appSecret;
    }

    public void setAppSecret(String appSecret) {
        this.appSecret = appSecret;
    }

    public String getSampleFlag() {
        return sampleFlag;
    }

    public void setSampleFlag(String sampleFlag) {
        this.sampleFlag = sampleFlag;
    }

    public Integer getScanFlag() {
        return scanFlag;
    }

    public void setScanFlag(Integer scanFlag) {
        this.scanFlag = scanFlag;
    }

    public Integer getSysroleid() {
        return sysroleid;
    }

    public void setSysroleid(Integer sysroleid) {
        this.sysroleid = sysroleid;
    }

    public String getGender() {
        return gender;
    }

    public void setGender(String gender) {
        this.gender = gender;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public String getSalerbuyer() {
        return salerbuyer;
    }

    public void setSalerbuyer(String salerbuyer) {
        this.salerbuyer = salerbuyer;
    }

    public String getPosition() {
        return position;
    }

    public void setPosition(String position) {
        this.position = position;
    }

    public String getSkill() {
        return skill;
    }

    public void setSkill(String skill) {
        this.skill = skill;
    }

    public Float getWorkage() {
        return workage;
    }

    public void setWorkage(Float workage) {
        this.workage = workage;
    }

    public String getWechat() {
        return wechat;
    }

    public void setWechat(String wechat) {
        this.wechat = wechat;
    }

    public String getQq() {
        return qq;
    }

    public void setQq(String qq) {
        this.qq = qq;
    }

    public String getSmsFlag() {
        return smsFlag;
    }

    public void setSmsFlag(String smsFlag) {
        this.smsFlag = smsFlag;
    }

    public Integer getUserBeans() {
        return userBeans;
    }

    public void setUserBeans(Integer userBeans) {
        this.userBeans = userBeans;
    }

    public Integer getPrivateShopFlag() {
        return privateShopFlag;
    }

    public void setPrivateShopFlag(Integer privateShopFlag) {
        this.privateShopFlag = privateShopFlag;
    }

    public Integer getPrivateClubFlag() {
        return privateClubFlag;
    }

    public void setPrivateClubFlag(Integer privateClubFlag) {
        this.privateClubFlag = privateClubFlag;
    }

    public Integer getGuideFlag() {
        return guideFlag;
    }

    public void setGuideFlag(Integer guideFlag) {
        this.guideFlag = guideFlag;
    }

    public String getMiniProgramOpenId() {
        return miniProgramOpenId;
    }

    public void setMiniProgramOpenId(String miniProgramOpenId) {
        this.miniProgramOpenId = miniProgramOpenId;
    }

    public String getMiniProgramId() {
        return miniProgramId;
    }

    public void setMiniProgramId(String miniProgramId) {
        this.miniProgramId = miniProgramId;
    }
}
