package com.caimei.entity;

import java.io.Serializable;

/**
 * 发货物流记录Entity
 *
 * @author 李俊
 * @version 2019-12-17
 */
public class CmLogisticsRecord implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private Integer logisticsBatchID;        // 发货物流批次ID
    private Integer shopOrderID;        // 子订单ID
    private Integer orderID;        // 主订单ID
    private Integer orderProductID;        // 订单商品ID
    private Integer buyNum;        // 商品购买数量
    private Integer num;        // 此次发货数量
    private Integer productID;        // 商品ID
    private String productName;        // 商品名称
    private String image;        // 商品图片
    private Integer organizeProductID;  //组织的商品Id，关联cm_mall_organize_products表ID[适用于组织订单]


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public Integer getLogisticsBatchID() {
        return logisticsBatchID;
    }

    public void setLogisticsBatchID(Integer logisticsBatchID) {
        this.logisticsBatchID = logisticsBatchID;
    }

    public Integer getShopOrderID() {
        return shopOrderID;
    }

    public void setShopOrderID(Integer shopOrderID) {
        this.shopOrderID = shopOrderID;
    }

    public Integer getOrderID() {
        return orderID;
    }

    public void setOrderID(Integer orderID) {
        this.orderID = orderID;
    }

    public Integer getOrderProductID() {
        return orderProductID;
    }

    public void setOrderProductID(Integer orderProductID) {
        this.orderProductID = orderProductID;
    }

    public Integer getBuyNum() {
        return buyNum;
    }

    public void setBuyNum(Integer buyNum) {
        this.buyNum = buyNum;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public Integer getProductID() {
        return productID;
    }

    public void setProductID(Integer productID) {
        this.productID = productID;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getOrganizeProductID() {
        return organizeProductID;
    }

    public void setOrganizeProductID(Integer organizeProductID) {
        this.organizeProductID = organizeProductID;
    }
}