package com.caimei.mapper.order;

import com.caimei.entity.CmShopOrder;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

@Mapper
public interface CmShopOrderMapper {

    List<CmShopOrder> findList(CmShopOrder cmShopOrder);

    int delete(@Param("shopOrderID") Integer shopOrderID);

    int update(CmShopOrder cmShopOrder);

    int delete(CmShopOrder cmShopOrder);

    int insert(CmShopOrder cmShopOrder);

    int insertCmShopOrder(CmShopOrder cmShopOrder);

    CmShopOrder get(@Param("shopOrderID") Integer shopOrderID);

    List<CmShopOrder> listShopOrderByIDs(@Param("shopOrderIDs") String shopOrderIDs);

    int updateOrderOwner(Map<String, Object> param);

    int updateRefundsInfo(@Param("shopOrderID") Integer shopOrderID, @Param("orderStatusFlag") String orderStatusFlag);

    CmShopOrder findByShopID(@Param("orderID") Integer orderID, @Param("shopID") Integer shopID);

    List<CmShopOrder> findMaxShopOrderNo(@Param("orderID") Integer orderID);

    List<Map<String, Object>> countSupplierOrders(@Param("shopID") Integer shopID);

    List<Map<String, Object>> salesRanking(@Param("shopID") Integer shopID);

    List<Map<String, Object>> salesStatistics(@Param("shopID") Integer shopID, @Param("startTime") String startTime, @Param("endTime") String endTime);

    int shopOrderBak(CmShopOrder cmShopOrder);

    List<CmShopOrder> findListByOrderID(@Param("orderID") Integer orderID);

    Double findTotalTaxByOrderID(Integer orderID);

    Integer getShopOrderBak(@Param("shopOrderNo") String shopOrderNo);
}
