package com.caimei.service.order;

import com.caimei.entity.CmOrder;
import com.caimei.entity.WxJsonModel;

import java.util.List;
import java.util.Map;

public interface OrderService {
    Map<String, Object> confirmOrder(Integer userId, String classifyIDS, Integer organizeID, String productIDs, Integer count);

    String shareOrder(Integer orderID) throws Exception;

    Map<String, Object> particulars(Integer orderID);

    Map<String, Object> logistics(Integer orderID);

    WxJsonModel saveOrderInfo(WxJsonModel wxJsonModel, Integer userId, Integer organizeID, String cartType, Integer addressID, Object orderInfo, String balanceDeductionFlag, Double orderShouldPayFee, Integer cmOperationID);

    WxJsonModel verifyShareCode(String shareCode, String openid, Integer orderID, Integer userID, Integer organizeID);

    List<CmOrder> myOrder(Integer userID, Integer orderState, Integer organizeID);

    Map<String, Object> oftenPurchase(Integer userID, Integer organizeID, Integer index, Integer pageSize);

    WxJsonModel deleteOrder(Integer orderID);

    void cancelOrder(Integer orderID) throws Exception;

    void affirmCargo(Integer orderID) throws Exception;
}
